OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors.udp
Class UdpUuidSender

    java.lang.Object
      org.opennms.netmgt.eventd.adaptors.udp.UdpUuidSender

All Implemented Interfaces:
  java.lang.Runnable

final class UdpUuidSender
extends java.lang.Object
implements java.lang.Runnable

This class implements the User Datagram Protocol (UDP) event receiver. When the an agent sends an event via UDP/IP the receiver will process the event and then add the UUIDs to the internal list. If the event is successfully processed then an event-receipt is returned to the caller.

Author:
  Brian Weaver , Oculan Corporation

Field Summary
`private java.lang.Thread` `m_context` The thread context
`private java.net.DatagramSocket` `m_dgSock` The UDP socket for receipt and transmission of packets from agents.
`private java.util.List` `m_eventUuidsOut` The list of outgoing event-receipts by UUID.
`private java.util.List` `m_handlers` The list of handlers
`private java.lang.String` `m_logPrefix` The log prefix
`private boolean` `m_stop` The stop flag

Constructor Summary
`(package private)` `UdpUuidSender(java.net.DatagramSocket sock, java.util.List uuidsOut, java.util.List handlers)` Constructs a new instance of this runnable.

Method Summary
`(package private) boolean` `isAlive()` Returns true if the runnable is still running in its context
`void` `run()`
`(package private) void` `setLogPrefix(java.lang.String prefix)`
`(package private) void` `stop()` Stops the current context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_eventUuidsOut

    private java.util.List m_eventUuidsOut

  The list of outgoing event-receipts by UUID.

### m_stop

    private volatile boolean m_stop

  The stop flag

### m_dgSock

    private java.net.DatagramSocket m_dgSock

  The UDP socket for receipt and transmission of packets from agents.

### m_context

    private java.lang.Thread m_context

  The thread context

### m_handlers

    private java.util.List m_handlers

  The list of handlers

### m_logPrefix

    private java.lang.String m_logPrefix

  The log prefix

Constructor Detail

### UdpUuidSender

    UdpUuidSender(java.net.DatagramSocket sock,
                  java.util.List uuidsOut,
                  java.util.List handlers)

  Constructs a new instance of this runnable.

Method Detail

### stop

    void stop()
        throws java.lang.InterruptedException

  Stops the current context.

  Throws:
    `java.lang.InterruptedException`

### isAlive

    boolean isAlive()

  Returns true if the runnable is still running in its context

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### setLogPrefix

    void setLogPrefix(java.lang.String prefix)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.